#!/bin/bash

SCRIPT_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" &> /dev/null && pwd)
cd "${SCRIPT_DIR}/.."

source .env

DIR="${DATA_MOUNT_PATH}"
if [[ "$1" != "" ]]; then
  DIR="$1"
fi

find "${DIR}" -type f | docker-compose run --rm srg -format postgres -pg_table entries -pg_mode insert_binary -pg_connstr "user=orbeat password=orbeat dbname=orbeat sslmode=disable host=db"

